cURL
curl --request PUT \
--url https://api-dev.messagefy.io/api/v1/Admin/Account/{id} \
--header 'Content-Type: application/json; v=1.0' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"statusId": 123
}
'import requests
url = "https://api-dev.messagefy.io/api/v1/Admin/Account/{id}"
payload = {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"statusId": 123
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json; v=1.0"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json; v=1.0'},
body: JSON.stringify({
organizationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
accountId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
description: '<string>',
statusId: 123
})
};
fetch('https://api-dev.messagefy.io/api/v1/Admin/Account/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"status": {
"accountStatusId": 123,
"name": "<string>",
"icon": "<string>",
"description": "<string>",
"canManageChildObjects": true,
"canSendAndReceiveMessage": true
},
"organization": {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"status": {
"organizationStatusId": 123,
"name": "<string>",
"icon": "<string>",
"description": "<string>",
"canManageChildObjects": true,
"canSendAndReceiveMessage": true
},
"accountCount": 123,
"channelCount": 123,
"deviceRunningCount": 123,
"channelConnectedCount": 123,
"apiKeyCount": 123,
"createdAt": "2023-11-07T05:31:56Z"
},
"channelCount": 123,
"deviceRunningCount": 123,
"channelConnectedCount": 123,
"financialManagerCount": 123,
"apiKeyCount": 123
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Contas
Atualizar Conta
Atualiza os dados de uma conta existente
PUT
/
api
/
v1
/
Admin
/
Account
/
{id}
cURL
Authorizations
Chave de API fornecida pelo painel administrativo do MessageFy. Enviada no header de cada requisição. O gateway APISIX valida a chave e injeta os headers X-Consumer-* automaticamente.
Path Parameters
Body
application/json; v=1.0text/json; v=1.0application/*+json; v=1.0
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes